#
# spec file for package telepathy-gabble (Version 0.8.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           telepathy-gabble
Version:        0.8.5
Release:        0.1.2
License:        LGPLv2.1+
Summary:        XMPP connection manager for Telepathy
Url:            http://telepathy.freedesktop.org/wiki/
Group:          Productivity/Networking/Instant Messenger
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE telepathy-gabble-include-uuid-fix.patch cyberorg@opensuse.org -- Fix build on 11.1 because of broken libuuid pkg-config file there. See bnc#489136
Patch:          telepathy-gabble-include-uuid-fix.patch
BuildRequires:  dbus-1-glib-devel
BuildRequires:  libsoup-devel
BuildRequires:  libuuid-devel
BuildRequires:  libxslt-devel
BuildRequires:  loudmouth-devel
BuildRequires:  python-xml
BuildRequires:  telepathy-glib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gabble is a Jabber/XMPP connection manager for the Telepathy framework,
currently supporting single user chats, multi user chats and
voice/video calls. Install this package to use Telepathy instant
messaging clients with Jabber/XMPP servers, including Google Talk.

%package doc
License:        LGPLv2.1+
Summary:        XMPP connection manager for Telepathy (documentation)
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
Gabble is a Jabber/XMPP connection manager for the Telepathy framework,
currently supporting single user chats, multi user chats and
voice/video calls. Install this package to use Telepathy instant
messaging clients with Jabber/XMPP servers, including Google Talk.

This package contain the documentation.

%prep
%setup -q
%if 0%{suse_version} == 1110
%patch -p1
%endif

%build
%configure --docdir=%{_docdir}/%{name}
make %{?jobs:-j %jobs}

%install
%makeinstall
cp AUTHORS ChangeLog COPYING %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root)
%dir %{_datadir}/telepathy
%dir %{_datadir}/telepathy/managers
%{_libexecdir}/telepathy-gabble
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.gabble.service
%{_datadir}/telepathy/managers/gabble.manager
%{_mandir}/man8/telepathy-gabble.8.gz

%files doc
%defattr (-,root,root)
%{_docdir}/%{name}/

%changelog
* Thu Oct  8 2009 vuntz@opensuse.org
- Update to version 0.8.5:
  + Fixes:
  - Don't re-fetch our own avatar in a loop when connecting to
    Google Talk. This should fix fdo#23684 once and for all.
  - Fix a crash introduced by the vCard-related fixes in 0.8.4.
- Changes from version 0.8.4:
  + Highlights:
  - Jingle call interoperability with Pidgin and Gajim.
  + Fixes:
  - When receiving a file, Gabble now closes the local socket
    once all the data has been written.
  - fdo#24043: Doesn't parse candidates in a Jingle
    session-accept stanza. This fix lets us interoperate with
    Pidgin's Jingle implementation.
  - fdo#24023: Accepting initial streams for a call is racy.
  - fdo#20629: DBus events in tests should contain full path.
  - fdo#22795: jingle/google-relay.py is secretly made of cheese.
  - fdo#23903: Gabble crashes in File Transfer.
  - fdo#23685: build Gibber with fno-strict-aliasing so asyncns.c
    builds with new GCC.
  - fdo#20565: Contacts should be initially offline and not
    unknown.
  - When members are removed from a call due to a stream error,
    always indicate so.
  - Fix corner cases in SetLocation()'s language handling.
  - fdo#24195: Doesn't think clients without google p2p tranport
    are media capable. This fix lets us interoperate with Gajim's
    Jingle implementation.
  - Make stun-server.py not fail if the default STUN server
    hostname can't be resolved.
  - fdo#23684: Gabble advertizes an avatar's sha1 in its presence
    stanza without following XEP-0153.
  - Honour errors that tell us to wait and try again when
    fetching vCards.
* Mon Sep 14 2009 vuntz@opensuse.org
- Update to version 0.8.3:
  + Enhancements:
  - fdo#23681: Allow setting presence on a connection before it
    goes online. This avoids e.g. going from Available -> Busy
    immediately when signing on.
  + Fixes:
  - fdo#23684: fix handling of avatar conflict with several
    resources, and a possible infinite ping-pong of presence
    stanzas from the server
  - Time out disco requests after 20, not 20,000, seconds!
  - Correctly respond to disco requests for video-v1 bundle,
    avoiding a loop when iChat blindly retries failed disco
    requests
  - Fix Requested and State properties of muc D-Bus tubes that we
    previously created and are still present when we re-join the
    muc.
  - Don't send the same disco request to the same (full) JID more
    than once. fdo#23841.
  - Update the Jingle raw-udp and ice-udp namespaces we claim to
    support to the current version.
  - fdo#23348, fdo#23349: fix compilation on NetBSD by including
    more headers
  - Reduce the size of the ChangeLog by truncating at version
    0.6.0 and not including diffstats (previously, the
    changelog.gz in our Debian packages was larger than Gabble
    itself!)
* Fri Sep  4 2009 vuntz@novell.com
- Update to version 0.8.2:
  + Enhancements:
  - Improve jid validation, so that obviously-invalid jids are
    rejected.
  + Fixes:
  - Don't crash when a vCard set fails, and there are edits
    pending. This can happen if you're trying to set your avatar
    and then disconnect.
  - fdo#23013: ContactCapabilities.SetSelfCapabilities can crash
    gabble with wrong parms
  - Fix parsing of incoming session accept from Google Video
    Chat. This should make outgoing calls to Google Video Chat
    users work, as well as incoming calls.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 0.8.1:
  + Fixes:
  - fdo#22535: Gabble no longer crashes if you disconnect while
    it's trying to start a Google relay session for a call.
  - Fix an occasional crash when PEP requests time out, or are
    cancelled when you disconnect.
  - Correct an assertion about vCard edits not to fire
    incorrectly.
  - Clarify some correct-but-confusing behaviour in libjingle 0.3
    mode, which fixes a Coverity false-positive.
- Changes from version 0.8.0:
  + Enhancements:
  - Location and Debug are now implemented as stable interfaces.
  - Timeouts are synchronised to the second where possible,
    leading to fewer wakeups.
  + Fixes:
  - Fix race condition introduced by fix for fdo#22023.
  - Make vCard request less likely to time out.
  - Fix a bug where a vCard request failure could cause SetAvatar
    or SetAliases not to return.
* Sun Aug  9 2009 vuntz@novell.com
- Update to version 0.7.32:
  + Fixes:
  - fdo#21153: Remove session initiation and content add timeouts
    from the Jingle code; this should be client policy.
  - fdo#22023: Correctly avoid trying to set your vCard twice at
    the same time.
  - Correctly parse file-transfer timestamps. References
    fdo#23168.
  - Correctly fall back to stun.collabora.co.uk if neither the
    user nor the server has any better STUN server suggestions.
* Thu Jul 23 2009 lmedinas@gmail.com
- Update to version 0.7.31:
  + Enhancements:
  - The XML sent and received by Gabble is now exposed by the
    Debug interface.
  + Fixes:
  - Audio codecs' names are forced to match the case expected by
    the Google Talk desktop client, which is incorrectly
    case-sensitive.
  - fd.o#22535: Gabble no longer crashes if you disconnect while
    it's trying to start a Google relay session for a call.
  - fdo#22629: Gabble no longer crashes if the initiator of a
    tube receives data before it is connected to the
    application's socket.
  - fdo#22858: Gabble no longer erroneously hides Google Talk
    contacts who were automatically added to your roster, and
    contacts who Google incorrectly thinks are aliases for
    another JID.
  - fdo#22858: Removing a contact from 'subscribe' while they're
    in remote-pending ("Oops! I didn't mean to subscribe to
    Randall's presence!") now works. This is on top of the fix
    for fdo#21547 in 0.7.28, which made removing the contact
    from 'stored' work.  Previously, while the subscription
    request was correctly rescinded, Gabble didn't expose it
    correctly on the 'subscribe' channel.
  - fdo#22858: Contacts no longer "flicker" to and from
    subscribe:remote-pending when you subscribe to them on a
    Google Talk account. This was a regression in 0.7.28, caused
    by fixing fdo#21547.
  - Gabble no longer crashes if called by a client which is, or
    pretends to be, an old version of Google Talk (such as
    gtalk2voip.com, which is automatically used if a SIP user on
    sipphone.com calls a SIP URI that looks as though it's meant
    to be a gmail.com JID).
  - Fix a header guard in debug.h.
  - Move GThread initialization to the very beginning, since it's
    meant to be done before *any* GLib API usage.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 0.7.30:
  + Enhancements:
  - Gabble now supports making and receiving video calls to
    contacts using Google Video Chat. You'll need an H264 codec.
    We're aware of an issue where sometimes the Google client
    never sends us video; we're investigating it, and hopefully
    it'll be resolved soon.
  - The default port is now 5222, rather than unset. If you
    specify port=5222 and don't specify a server or old-ssl,
    Gabble will make an SRV lookup anyway: this is kinder to UIs
    that want to show the default XMPP port as 5222.
  - Gabble now advertises support for up-to-date Jingle
    namespaces, and implements the raw UDP and ICE-UDP transports
    as well as the non-standard Google Talk P2P transport.
    (fdo#22458 and fdo#13158, respectively.)
  + Fixes:
  - fdo#22369: Gabble now replies to the XMPP resource that's
    sending you messages, rather than always sending messages to
    the peer's bare JID.
  - The keepalive-interval parameter actually works now
    (previously, setting it caused a critical warning, and did
    not change the actual value from the default).
- Changes from version 0.7.29:
  + Enhancements:
  - Implement o.fd.Tp.Debug interface.
  - Added a "keepalive-interval" connection parameter (signature
    'u'), allowing the time between keepalive pings to the server
    to be configured (or disabled, by specifying 0).
  + Fixes:
  - fdo#21966: Gabble no longer crashes if you use the Hold
    interface before a call starts. You can put a call on hold
    even before it's initiated. You can also put an incoming,
    unanswered call on hold, but you have to unhold it before
    accepting the call.
  - The above also fixes (in passing) a reported issue where
    calls are signalled as having been put on hold just before
    they terminate.
  - fdo#20807: Gabble no longer crashes on unknown Jingle
    actions.
  - fdo#16886: You can now leave MUCs with a part message by
    calling RemoveMembers([self_handle], "this room is boring").
    Gabble now complies with telepathy-spec 0.17.21's requirement
    that you can always remove yourself from a group if you're in
    it, fixing fdo#20728.
  - fdo#18951: Gabble no longer sends <gone/> to contacts it
    hasn't previously sent typing notifications or messages to.
  - fdo#22209: Gabble no longer confuses Jingle sessions which
    have the same session ID but are to different contacts.
  - fdo#20763: Gabble now correctly namespaces Jingle contents by
    their creator, rather than (buggily) attempting to make the
    initiator's content win.
  - fdo#22326: Gabble now correctly handles presence stanzas for
    bare JIDs that contain capabilities, rather than ignoring
    them or (in really unlikely cases) crashing.
- Use libexecdir instead of libdir in the file list.
* Wed Jun 17 2009 vuntz@novell.com
- Change group to Productivity/Networking/Instant Messenger.
* Tue Jun  2 2009 vuntz@novell.com
- Update to version 0.7.28:
  + Dependencies:
  - telepathy-glib >= 0.7.31 is now required as Gabble implements
    the new tube API.
  + Enhancements:
  - Implement the Credentials access control with UNIX sockets in
    stream tubes.
  - Implement the Port access control with Inet4 and Inet6
    sockets in stream tubes.
  - Implement the final, stable new API for tubes.
  - In StreamTube, UNIX sockets created with the Localhost access
    control are usable by any user of the system.
  - When no resource is explicitly specified, Gabble will now use
    a randomized resource ("Telepathy.[random numbers]") rather
    than just "Telepathy". This helps users who don't know
    anything about XMPP to be able to connect from multiple
    Telepathy-powered clients at once. (fdo#21297)
  - Gabble now implements the 'stored' contact list, added in
    telepathy-spec 0.17.12. It no longer implements the 'known'
    list, which was never standard; we don't think this will
    break clients, since other CMs (such as telepathy-haze) never
    implemented 'known'. (fdo#19901)
  - Incoming call state notifications (ringing, on hold, etc.)
    are now handled in line with the latest draft of XEP-0167.
    (fdo#21836)
  + Fixes:
  - fdo#21684: Don't crash in SessionHandler.Ready() if streams
    is NULL
  - fdo#21817: Sometimes crashes upon receiving an empty <nick/>
    update.
  - fdo#21547: Contacts removed from roster stay on
    subscribe:remote-pending.
  - fdo#21878: Adding a new stream while a call's on hold makes
    it fall back to Pending Hold.
* Sun May 31 2009 lars@linux-schulserver.de
- fix requirement of doc subpackage
* Mon May 18 2009 vuntz@novell.com
- Update to version 0.7.27:
  + Dependencies:
  - We now explicitly depend on gthread-2.0 >= 2.16 as we need to
    initialize threads for libsoup's benefit (fdo#20937)
  + Enhancements:
  - Support file transfer resume.
  - Use ContactCapabilities draft to communicate file transfer
    support.
  - Implement latest draft of new API for tubes. The
    {Offer,Accept}{DBus,Stream}Tube methods and the
    StreamTubeNewConnection signal have been renamed.
  - The build system now uses Shave to produce kernel-style
    easy-to-read output from make. (You need to explicitly enable
    this with ./configure --enable-shave.)
  - It is now possible to request StreamedMedia channels with
    audio and/or video from the start, using the InitialAudio and
    InitialVideo properties, and to see from a channel's
    immutable properties (as also seen in NewChannels) whether it
    (initially) contained audio and/or video. (References
    fdo#20830)
  + Fixes:
  - Include private D-Bus tube and all MUC tube channels in
    Requests's Channels property.
  - StreamedMedia channels' group flags are now more
    spec-compliant. (Fixes fdo#20578)
  - When a contact doesn't have an alias, their full JID is used
    as the fallback, rather than the local part. (Fixes
    fdo#21295)
  - When setting an avatar fails, an appropriate error is now
    emitted. (Fixes fdo#20442 (not fdo#20422 as the git history
    claims).)
  - The lifecycles of several Jingle-related objects have been
    cleared up, fixing a number of Jingle crashes.
* Fri Apr 24 2009 vuntz@novell.com
- Review changes.
* Wed Apr 22 2009 cyberorg@opensuse.org
- Add telepathy-gabble-include-uuid-fix.patch for 11.1 because of
  broken libuuid pkg-config file.
* Thu Apr  9 2009 vuntz@novell.com
- Update to version 0.7.26:
  + When placing a streamed media call on hold, transmit the status
    change to the peer.
  + Relatedly, expose incoming Ringing and Hold notifications
    through the CallState interface.
  + Raise Offline or NotCapable (rather than NotAvailable) when
    methods in Jingle calls fail for one of those reasons.
  + Implement the Avatar interface's D-Bus properties, as
    introduced in spec version 0.17.22
* Sun Apr  5 2009 vuntz@novell.com
- Update to version 0.7.25:
  + Dependencies:
  - telepathy-glib >= 0.7.29 is now required.
  + Enhancements:
  - Discover SOCKS5 proxies on the connection and try to use them
    when offering a SOCKS5 bytestream.
  - Add fallback-socks5-proxies connection parameter to hardcode
    SOCKS5 proxies to use as fallback. Set lot of public proxies
    as default.
  - Use IPv6 addresses when trying to establish a SOCKS5
    bytestream.
  - Implement Channel.Type.FileTransfer. This means you can now
    send and receive files using Gabble.
* Tue Mar 24 2009 vuntz@novell.com
- Update to version 0.7.24:
  + Enhancements:
  - All messages on the Messages interface now have a message
    token, using the XMPP id attribute. Identifiers for messages
    that Gabble sends, and those it receives that lack one, are
    generated with libuuid if available, or with a unique-ish
    time-based fallback otherwise.
  + Fixes:
  - Fix SOCKS5 implementation to actually respect XEP-0065.
  - Don't crash if Google relay responses arrive after the call
    has ended (fdo#20764).
  - Relax overly-strict checks made by CodecsUpdated.
- Add libuuid-devel BuildRequires.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 0.7.23:
  + Dependencies:
  - telepathy-glib >= 0.7.26 is now required
  - libsoup >= 2.4 is now required
  + Enhancements:
  - Add functionality to ask for a Google-specific relay session,
    so Google Talk users can use Google's relay servers to make
    and receive Jingle calls.
  - The CodecsUpdated method, introduced in spec version 0.17.19
    and used to send updated parameters for codecs such as Theora
    and H264 to the other party in a call, is now implemented.
  + Fixes:
  - Fix flow control in tubes when using a SI fallback
    bytestream.
  - Implement flow control in bytestream IBB.
  - Make GetHandle() correspond to the TargetHandle[Type]
    properties on streamed media channels.
- Add libsoup-devel BuildRequires.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 0.7.22:
  + Dependencies:
  - telepathy-glib 0.7.24 is now required
  + Enhancements:
  - Resolve STUN servers' IP addresses as required by
    telepathy-spec changes currently under development
  - Add NATTraversal, STUNServers and CreatedLocally properties
    to Media.StreamHandler as required by telepathy-spec changes
    currently under development
  - Add fallback-stun-server, fallback-stun-port
    ConnectionManager parameters
  + Fixes:
  - Correctly deal with streams that are added after a call is
    accepted, fixing video streaming in calls that start off
    audio-only
  - fdo#20102: fix byte ordering of port in GibberListener
  - Drain some swamps in Jingle call handling for better
    maintainability, and improve Jingle regression test coverage
  - Don't end calls a minute after an extra content is added, and
    correctly set the creator attribute on contents. This has the
    side-effect of not causing older Gabbles to assert.
  - Improve Tubes test coverage, and fix various races in the
    tests.
* Sat Feb 21 2009 mboman@suse.de
- Update to version 0.7.21:
  + Implement new tube API for muc stream tubes
  + Implement new tube API for 1-1 and muc D-Bus tubes
  + Implement the Messages interface for Text channels.
  + In multi-user chats, the point at which Sent is emitted has
    changed. Previously, Sent was emitted when the message was
    echoed back to you by the server; now, it is emitted (as is
    Messages.MessageSent) when you send the message. When the
    message is echoed, a delivery report is emitted with
    Messages.MessageReceived, and Received is emitted with an
    empty body and the Non_Text_Content flag set. Clients that
    don't understand the Messages interface should just
    immediately ack the ID in that signal
  + fdo#20003: fix a crash starting Jingle calls on some 64-bit
    platforms
  + fdo#20133: fix various bugs where idle callbacks outlived
    their user-data.
  + Don't start sending video when the other side adds a video
    stream.
- Remove required versions for BuildRequires. We don't generally
  use it in our .spec files
- Set correct group for -doc package (Documentation/Other)
- Add Requires %%{name}-%%{version} for -doc package
* Wed Feb  4 2009 hfiguiere@suse.de
- Update to version 0.7.20
  + Implement the draft version of Location from telepathy-spec 0.17.19
  + Announce generic tube capabilities when contacts support tubes
  + Don't get confused if MUC services auto-rename us
  + Don't get confused if we have to change our own nick in order to join a MUC
  + Set the correct actor when Jingle sessions are terminated
  + Don't omit offline, unknown and error from Statuses and GetStatuses()
    (regression in 0.7.19)
  + Close and ChannelClosed signals are now fired when a tube is closed (new API)
* Mon Feb  2 2009 mboman@suse.de
- Update to version 0.7.19:
  + Don't crash when closing a muc channel containing an closed D-Bus tube.
  + Don't resurrect removed streams if the call responder includes them in
    session-accept
  + Don't crash in calls if using glib with debugging enabled (fdo#19327).
  + Don't crash when removing contact from known list (fdo#19524).
  + Fix D-Bus muc tubes (dev.sugarlabs.org #60).
  + Fix refcount leak in jingle code (fdo#19385).
  + Don't crash if "offline" presence status is requested.
* Wed Jan 28 2009 hfiguiere@suse.de
- Bump dbus glib required version.
* Fri Jan  9 2009 hfiguiere@suse.de
- Update to version 0.7.18:
  + Implement SOCKS5 bytestreams (XEP-0065) in stream tubes.
  + Implement a stream initiation fallback mechanism allowing to use IBB if
    we can't connect to peer using SOCKS5.
  + Don't crash on setting presence if there are open MUC Tubes.
  + Stream tube channel advertises the immutable channel properties,
    including those not on the Channel interface.
- Build requires dbus-1-glib-devel >= 0.78
- Split documentation off.
- Drop telepathy-gabble-64bits-crash.patch.
* Fri Jan  9 2009 hfiguiere@suse.de
- Add telepathy-gabble-64bits-crash.patch
  + fix a crash on 64-bits. bnc#445874
* Thu Jan  1 2009 mboman@suse.de
- Update to version 0.7.17:
  + Too many fixes/updtaes to list. Please see NEWS for details
  + Fixes bnc#445874 (in 0.7.11)
* Sun Oct 19 2008 mboman@suse.de
- Update to version 0.7.10:
  + Implement the newly official Requested, InitiatorHandle and InitiatorID
    properties introduced in spec 0.17.13
  + fdo#16922: stop shipping MD5 and SHA-1 implementations, and use
    GChecksum instead, since we need GLib 2.16 anyway
  + Add support for running tests with GObject refdbg enabled
  + Add TargetID to allowed properties when requesting channels
  + test-handles: stop asserting that the wrong error (InvalidArgument)
    will be raised, and accept the correct error (InvalidHandle) too, since
    this was fixed in telepathy-glib
  + Some bugfixes in the OLPC code
  + Use unsigned for booleans in bitfields (gboolean is signed, so
    "gboolean foo:1" is not portable)
* Mon Oct 13 2008 sbrabec@suse.cz
- Signed-off.
* Thu Oct  2 2008 dominique-opensuse@leuenberger.net
- Update to version 0.7.9:
  * Implement the Requests API introduced in spec 0.17.11 and extended in 0.17.12
  * Save contacts' aliases into the roster for massive bandwidth savings (in
    conjunction with avatar caching, this should mean we don't have to fetch
    everyone's vCard every time we connect to the server)
  * Merge support for the "gadget", an OLPC-specific server component that
    supports browsing for buddies and activities
  * When running tests under valgrind, use the same options as in telepathy-glib
* Wed Aug 20 2008 hfiguiere@suse.de
- Requires now telepathy-glib >= 0.7.14
- Upgrade to 0.7.8
  * Implement the Contacts interface for bulk contact-handle inspection
  * Implement spec 0.17.9 (add the TargetID property to all channels)
  * Start to port channel factories away from TpChannelFactoryIface in
    preparation for implementing the Requests API
  * Add a simple smoke-test for SimplePresence
  * Use tp_debug_divert_messages() rather than our own copy of it, since we
    now depend on a new enough telepathy-glib anyway
  * Obey the Telepathy spec by giving 'dnd' presence type Presence_Type_Busy
    and not Presence_Type_Away
  * Use the pedantically correct marshaller for a GArray, since GObject 2.17
    actually checks for POINTER vs BOXED (regression in 0.7.7)
  * Remove unconditional debug messages in a few places
* Fri Aug  8 2008 hfiguiere@suse.de
- Upgrade to 0.7.7:
  * Requires telepathy-glib >= 0.7.13
  * Implement XEP-0115 version 1.5
  * fd.o #14954: Set presence in MUCs to be the same as our global presence
  * fd.o #14955: Set nickname in MUCs to be the same as our alias for ourselves
  (as set with Aliasing)
  * Fix a reference leak when using (new-style) TLS
  * Fix a memory leak when invited to a MUC
  * Fix a possible assertion failure when we're sent an invalid MUC invitation
  * fd.o #16918: fix an access to freed memory when the vCard manager is
  destroyed
  * fd.o #14341: add a regression test (currently disabled, because the bug
  is in Loudmouth)
  * Port most of the regression tests to a more comprehensible API
* Thu Jul 24 2008 hfiguiere@suse.de
- Remove the requires and let Autoreqprov do it for us
* Thu Jul 24 2008 hfiguiere@suse.de
- Update to 0.7.6
  * telepathy-glib >= 0.7.8 and loudmouth >= 1.3.2 are now required
  * Implement the Hold API using telepathy-glib rather than as an extension
  * fdo#15656: fix an inconsistency in audio/video capabilities
  * fdo#15422: fix generation of extensions/extensions.html
  * fdo#15904: fix a regression making the caller of an incoming call in
    the remote pending set instead of the members one.
  * fdo#15095: fix MUC contacts always appearing to be offline (and actually
    include the patch this time) (regression in 0.7.0, probably)
  * fdo#15311: update tests to work with python-twisted 8.0 (as seen in
    current Debian unstable)
  * Ignore components with ID != 1 in native candidates - we can only signal
    one component, and Farsight 2 reports RTCP components along with RTP ones
  * Don't assume that htmldir will be defined by autoconf (it's new in 2.59c,
    and we only require >= 2.59; regression in 0.7.4)
  * fdo#14467: aggregate MembersChanged signals when joining MUCs, so we
    get one big signal rather than lots of single-contact signals, potentially
    reducing client round-trips
  * Re-enable some regression tests that were accidentally removed in 0.7.3
  * Build documentation for our extensions to XMPP by default
  * fdo#12791, Debian #446259: fix assertion failure with strange roster items
  * fdo#14343: fix race condition that can lose messages between accepting
    a D-Bus tube and actually connecting to it
  * fdo#14602: update the StreamedMedia call API to telepathy-spec 0.17.3
  * fdo#14806: when we add ourselves to the local-pending set for incoming
    calls, set the caller as the actor
  * fdo#15198: fix assertion failure when calling GetCapabilities on an invalid
    handle
  * When removing a media stream before the initiate is sent, send it if possible
  * when blocking gtalk contacts, discard their presence
  * disconnect the connection if we don't receive a reply to the discovery
    request for server features
  * stop using Automake 1.9 features, and prefer to autoreconf using 1.8 (if
    available) to ensure that we don't accidentally re-add a 1.9 dependency
  * make sure teardown of the disco object doesn't crash if one of its callbacks
    causes it to be destroyed (bug exposed by test-disco-no-reply.py regression
    test)
  * Implements the current draft of the Hold interface, which will be in
    telepathy-spec 0.17.4 if all goes well
  * Only emit one AvatarRetrieved signal per contact, no matter how many
    requests there were for their avatar (fdo#12465)
  * Explicitly say we require GNU make, and turn off Automake portability
    warnings (fdo#14020)
  * Don't emit NewStreamHandler signals multiple times if Ready is called
    multiple times on the SessionHandler (a bug in stream-engine used to
    cause this to happen sometimes)
  * Assorted code cleanup prompted by adding more gcc warnings
* Fri Mar 14 2008 hfiguiere@suse.de
- update to 0.7.2
  + Tubes: a generic transport for collaborative applications
  + Lot of bug fixes.
  + Take advantage of telepathy-glib 0.6.1 changes
  + Remove the -devel files
* Tue Dec 25 2007 lrupp@suse.de
- package static libraries in devel package
  (Obsoletes: %%name-glib - dunno why they are needed at all)
- beautify specfile
- don't use obsolete %%run_ldconfig
- package some files for doc
* Mon May 14 2007 btimothy@suse.de
- Add defattr to each %%files section.
* Wed Apr  4 2007 maw@suse.de
- Don't build as root.  Duh.
* Tue Apr  3 2007 maw@suse.de
- New package.
